%define major           2
%define libname         %mklibname xwidgets %{major}
%define develname       %mklibname xwidgets -d

Name:           xwidgets
Version:        0.29.0
Release:        %mkrel 3
Summary:        C++ back-end for Jupyter interactive widgets
Group:          System/Libraries
License:        BSD
URL:            https://github.com/jupyter-xeus/xwidgets
Source0:        https://github.com/jupyter-xeus/xwidgets/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  cmake(xeus)
BuildRequires:  cmake(nlohmann_json)
BuildRequires:  cmake(xtl)
BuildRequires:  cmake(xproperty)
BuildRequires:  cmake(cppzmq)
BuildRequires:  cmake(xeus-zmq)
BuildRequires:  pkgconfig(uuid)
BuildRequires:  doxygen
BuildRequires:  gcc-c++

%description
xwidgets is a C++ implementation of the Jupyter interactive widgets protocol.
The Python reference implementation is available in the ipywidgets project

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
xwidgets is a C++ implementation of the Jupyter interactive widgets protocol.
The Python reference implementation is available in the ipywidgets project

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       cmake(xtl)

%description -n %{develname}
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DDISABLE_ARCH_NATIVE=ON \
       -DXWIDGETS_BUILD_STATIC_LIBS=OFF
%cmake_build

%install
%cmake_install

%check
%ctest

%files -n %{libname}
%doc README.md
%license LICENSE
%{_libdir}/libxwidgets.so.%{major}{,.*}

%files -n %{develname}
%{_includedir}/xwidgets/
%{_libdir}/cmake/xwidgets/
%{_libdir}/libxwidgets.so


%changelog
* Tue Jun 24 2025 daviddavid <daviddavid> 0.29.0-3.mga10
+ Revision: 2194315
- rebuild with fixed xeus

* Mon Feb 03 2025 daviddavid <daviddavid> 0.29.0-2.mga10
+ Revision: 2144903
- rebuild with fixed xproperty

* Mon Aug 26 2024 papoteur <papoteur> 0.29.0-1.mga10
+ Revision: 2091522
- new version 0.29.0

* Mon Dec 12 2022 papoteur <papoteur> 0.27.1-1.mga9
+ Revision: 1920986
- new 0.27.1
+ joequant <joequant>
- remove static

* Sun Apr 24 2022 joequant <joequant> 0.26.1-1.mga9
+ Revision: 1852988
- do not output static libraries
- update to 0.26.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Dec 15 2020 joequant <joequant> 0.24.1-1.mga8
+ Revision: 1657605
- update to 0.24.1
- do not use march=native

* Fri Aug 07 2020 joequant <joequant> 0.20.1-4.mga8
+ Revision: 1611735
- add xtl-devel

* Wed Aug 05 2020 joequant <joequant> 0.20.1-3.mga8
+ Revision: 1611252
- add requires

* Mon Jul 27 2020 joequant <joequant> 0.20.1-2.mga8
+ Revision: 1609218
- rebuild

* Mon Jul 27 2020 joequant <joequant> 0.20.1-1.mga8
+ Revision: 1609213
- fix deps
- add cmake
- imported package xwidgets

